Skip to Content

Installing / Updating MDM JAVA API and MDM Connector

Good Afternoon,

I have a customer who has just upgraded to SRM-MDM Catalog 3.0 SP15. My understanding is that this requires an installation (or upgrade) of the MDM 7.1 Connector and all the other components to SP10 .

The customer has given me the following release information;

MDM_Server:7.1.10.279

MDM_JAVA_API 710 SP10 (1000.710.0.10.279.20140505035800)

SRM_MDM_CAT 3.0 SP15 (1000.3.0.15.0.20130911065718)

According to my reading of http://wiki.scn.sap.com/wiki/display/SRM/SRM-MDM+Catalog+version+compatibility and 1789405 - SRM-MDM Catalog 3.0 SP15 Patch 00 Release Note, this combination of components should work.  HOWEVER.... they are getting symptoms identical to those described in 1650896 - SRM-MDM “Login Failed” error. 

In short, I want to install (or at least verify) that they have the latest MDM Connector installed, so could someone help me with the following questions...

1) On the client side, are the MDM Connector and the MDM_JAVA_API the same thing ?

2) In both the MDM Installation Guide for Windows and the MDM Installation Guide for UNIX, in the chapter Installing Additional MDM Components,

for MDM Java API and MDM Connector, the instructions are:

Deploy the components on your Java machine.

What components do I deploy and, for an SAP Enterprise Portal, where ?

thanks

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

3 Answers

  • Best Answer
    avatar image
    Former Member
    Aug 12, 2014 at 08:18 AM

    Hi,Martin

    we were facing the same problem before.it is just the verison match problem.

    MDM Java API and MDM Connector are two components for mdm, they are needed to be depolyed on the portal's java Application Server.

    for your mdm catalog sp15,it is tested with the mdm 7.1.10.204, it means that you need to use the MDM 7.1 SP10 Patch204 or above Patch,also read the MDM's release note.the java API, MDM Connector version must be the same with the MDM server.

    by the way,take the portal version and SRM version into consideration,check the note to match all the versions.


    best regards

    Stephen


    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Jul 28, 2014 at 03:00 PM

    Hi Martin,

    As per the following SAP Note 1458104 - PI connection to multiple MDM versions

    • The MDM Java API (Connector) Service Pack must match the MDM server Service Pack.

    Regards,

    Akash

    Add comment
    10|10000 characters needed characters exceeded

    • Akash,

      The note 1458104 - PI connection to multiple MDM versions describes a work around, specifically for PI, for the cases where you have multiple MDM Servers on different releases. My case is SRM-MDM, using the portal as a client and only one MDM server.

      thanks

  • Jul 28, 2014 at 10:54 PM

    FYA

    Question 1: Still don't have a definitive answer

    Question 2: The component in question is the Software Component Archive (SCA) named MDMCONNECTOR<SP-number>_<Patch-number>.sca which can be retrieved from either the installation disks (if you still use these), or from http://service.sap.com/swdc. Deploy it on the EP server. After the deployment restart the server. This is a prerequsite for stuff like the MDM Portal Content.

    hth

    Add comment
    10|10000 characters needed characters exceeded

    • Java API for NW 7.11

      General Information

      As of SAP NetWeaver MDM 7.1 SP07, the MDM Connector is packaged in a different Software Component Archive (SCA) named MDMCONNECTOR<SP-number>_<Patch-number>.sca. This SCA contains two archives:

      • tc~mdm~connector SDA containing the MDM connector
      • tc~mdm~apireset SDA containing the API Reset service

      Therefore the following components must be downloaded and deployed on your SAP NetWeaver Application Server Java:

      • Up to MDM 7.1 SP07
        MDM JAVA API 7.1
      • As of MDM 7.1 SP07
        MDM JAVA API 7.1
        MDM CONNECTOR 7.1. 7.11